SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Commerce)  >   CubeCart (formerly eStore) Vendors:   brooky.com
CubeCart PHPSESSID Session Fixation Attack Lets Remote Users Hijack Sessions
SecurityTracker Alert ID:  1030086
SecurityTracker URL:  http://securitytracker.com/id/1030086
CVE Reference:   CVE-2014-2341   (Links to External Site)
Date:  Apr 14 2014
Impact:   User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  Exploit Included:  Yes  
Version(s): prior to 5.2.9
Description:   A vulnerability was reported in CubeCart. A remote user can hijack a target user's session.

A remote user can conduct a session fixation attack by specifying a PHPSESSID value that, when loaded by the target user, will enable the remote user to hijack the target user's session using the same PHPSESSID.

James Sibley reported this vulnerability.

Impact:   A remote user can hijack a target user's session.
Solution:   The vendor has issued a fix (5.2.9).

The vendor's advisory is available at:

http://forums.cubecart.com/topic/48427-cubecart-529-relased/

Vendor URL:  forums.cubecart.com/topic/48427-cubecart-529-relased/ (Links to External Site)
Cause:   Access control error
Underlying OS:  Linux (Any), UNIX (Any), Windows (Any)

Message History:   None.


 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2021, SecurityGlobal.net LLC